pcl::RobotEyeGrabber Class Reference
Module io

Grabber for the Ocular Robotics RobotEye sensor. More...

`#include <pcl/io/robot_eye_grabber.h>`

Inheritance diagram for pcl::RobotEyeGrabber:

## Public Types

typedef void() | sig_cb_robot_eye_point_cloud_xyzi(const boost::shared_ptr< const pcl::PointCloud< pcl::PointXYZI > > &)
| Signal used for the point cloud callback. More...

## Public Member Functions

| RobotEyeGrabber ()
| RobotEyeGrabber default constructor. More...
| RobotEyeGrabber (const boost::asio::ip::address &ipAddress, unsigned short port=443)
| RobotEyeGrabber constructor taking a specified IP address and data port. More...
virtual | ~RobotEyeGrabber () throw ()
| virtual Destructor inherited from the Grabber interface. More...
virtual void | start ()
| Starts the RobotEye grabber. More...
virtual void | stop ()
| Stops the RobotEye grabber. More...
virtual std::string | getName () const
| Obtains the name of this I/O Grabber. More...
virtual bool | isRunning () const
| Check if the grabber is still running. More...
virtual float | getFramesPerSecond () const
| Returns the number of frames per second. More...
void | setSensorAddress (const boost::asio::ip::address &ipAddress)
| Set/get ip address of the sensor that sends the data. More...
const boost::asio::ip::address & | getSensorAddress () const
void | setDataPort (unsigned short port)
| Set/get the port number which receives data from the sensor. More...
unsigned short | getDataPort () const
void | setSignalPointCloudSize (std::size_t numerOfPoints)
| Set/get the number of points to accumulate before the grabber callback is signaled. More...
std::size_t | getSignalPointCloudSize () const
boost::shared_ptr< pcl::PointCloud< pcl::PointXYZI > > | getPointCloud () const
| Returns the point cloud with point accumulated by the grabber. More...
Public Member Functions inherited from pcl::Grabber
| Grabber ()
| Constructor. More...
virtual | ~Grabber () throw ()
| virtual desctructor. More...
template<typename T >
boost::signals2::connection | registerCallback (const boost::function< T > &callback)
| registers a callback function/method to a signal with the corresponding signature More...
template<typename T >
bool | providesCallback () const
| indicates whether a signal with given parameter-type exists or not More...

## Additional Inherited Members

Protected Member Functions inherited from pcl::Grabber
virtual void | signalsChanged ()
template<typename T >
boost::signals2::signal< T > * | find_signal () const
template<typename T >
int | num_slots () const
template<typename T >
void | disconnect_all_slots ()
template<typename T >
void | block_signal ()
template<typename T >
void | unblock_signal ()
void | block_signals ()
void | unblock_signals ()
template<typename T >
boost::signals2::signal< T > * | createSignal ()
Protected Attributes inherited from pcl::Grabber
std::map< std::string, boost::signals2::signal_base * > | signals_
std::map< std::string, std::vector< boost::signals2::connection > > | connections_
std::map< std::string, std::vector< boost::signals2::shared_connection_block > > | shared_connections_

## Detailed Description

Grabber for the Ocular Robotics RobotEye sensor.

Definition at line 56 of file robot_eye_grabber.h.

## Member Typedef Documentation

## sig_cb_robot_eye_point_cloud_xyzi

typedef void() pcl::RobotEyeGrabber::sig_cb_robot_eye_point_cloud_xyzi(const boost::shared_ptr< const pcl::PointCloud< pcl::PointXYZI > > &)

Signal used for the point cloud callback.

This signal is sent when the accumulated number of points reaches the limit specified by setSignalPointCloudSize().

Definition at line 64 of file robot_eye_grabber.h.

## Constructor & Destructor Documentation

## RobotEyeGrabber() [1/2]

pcl::RobotEyeGrabber::RobotEyeGrabber | ( |  | ) |

RobotEyeGrabber default constructor.

## RobotEyeGrabber() [2/2]

pcl::RobotEyeGrabber::RobotEyeGrabber | ( | const boost::asio::ip::address & | ipAddress,
|  | unsigned short | port = `443`
| ) |  |

RobotEyeGrabber constructor taking a specified IP address and data port.

## ~RobotEyeGrabber()

virtual pcl::RobotEyeGrabber::~RobotEyeGrabber | ( |  | ) |
throw | ( |
| ) |  |

virtual

virtual Destructor inherited from the Grabber interface.

It never throws.

## Member Function Documentation

## getDataPort()

unsigned short pcl::RobotEyeGrabber::getDataPort | ( |  | ) | const

## getFramesPerSecond()

virtual float pcl::RobotEyeGrabber::getFramesPerSecond | ( |  | ) | const

virtual

Returns the number of frames per second.

Implements pcl::Grabber.

## getName()

virtual std::string pcl::RobotEyeGrabber::getName | ( |  | ) | const

virtual

Obtains the name of this I/O Grabber.

Returns
  The name of the grabber

Implements pcl::Grabber.

## getPointCloud()

boost::shared_ptr<pcl::PointCloud<pcl::PointXYZI> > pcl::RobotEyeGrabber::getPointCloud | ( |  | ) | const

Returns the point cloud with point accumulated by the grabber.

It is not safe to access this point cloud except if the grabber is stopped or during the grabber callback.

## getSensorAddress()

const boost::asio::ip::address& pcl::RobotEyeGrabber::getSensorAddress | ( |  | ) | const

## getSignalPointCloudSize()

std::size_t pcl::RobotEyeGrabber::getSignalPointCloudSize | ( |  | ) | const

## isRunning()

virtual bool pcl::RobotEyeGrabber::isRunning | ( |  | ) | const

virtual

Check if the grabber is still running.

Returns
  TRUE if the grabber is running, FALSE otherwise

Implements pcl::Grabber.

## setDataPort()

void pcl::RobotEyeGrabber::setDataPort | ( | unsigned short | port | ) |

Set/get the port number which receives data from the sensor.

The default is 443.

## setSensorAddress()

void pcl::RobotEyeGrabber::setSensorAddress | ( | const boost::asio::ip::address & | ipAddress | ) |

Set/get ip address of the sensor that sends the data.

The default is address_v4::any ().

## setSignalPointCloudSize()

void pcl::RobotEyeGrabber::setSignalPointCloudSize | ( | std::size_t | numerOfPoints | ) |

Set/get the number of points to accumulate before the grabber callback is signaled.

The default is 1000.

## start()

virtual void pcl::RobotEyeGrabber::start | ( |  | ) |

virtual

Starts the RobotEye grabber.

The grabber runs on a separate thread, this call will return without blocking.

Implements pcl::Grabber.

## stop()

virtual void pcl::RobotEyeGrabber::stop | ( |  | ) |

virtual

Stops the RobotEye grabber.

Implements pcl::Grabber.

The documentation for this class was generated from the following file:

- /build/pcl-qv3n_B/pcl-1.8.1+dfsg1/io/include/pcl/io/robot_eye_grabber.h